import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_lvm_in_fstab(host):
    fstab = host.file("/etc/fstab")
    assert fstab.contains("/dev/mapper/vg_test-lv_test")


def test_lvm_mounted(host):
    mount = host.check_output("mount")
    lvm = "/dev/mapper/vg_test-lv_test on /mnt/data type ext4"
    assert lvm in mount
